package com.bonus.canteen.core.supermarket.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("汇总合计行")
public class AmountBaseVO<T> {
   @ApiModelProperty("查询页")
   private Page<T> resultPage;
   @ApiModelProperty("合计行")
   private T totalLine;

   public Page<T> getResultPage() {
      return this.resultPage;
   }

   public T getTotalLine() {
      return this.totalLine;
   }

   public AmountBaseVO<T> setResultPage(final Page<T> resultPage) {
      this.resultPage = resultPage;
      return this;
   }

   public AmountBaseVO<T> setTotalLine(final T totalLine) {
      this.totalLine = totalLine;
      return this;
   }
}
